LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XStream Interface Referencepublished

offers read and write access to the same stream. More...

`import"XStream.idl";`

Inheritance diagram for XStream:

## Public Member Functions
XInputStream | getInputStream ()
XOutputStream | getOutputStream ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

offers read and write access to the same stream.

## Member Function Documentation

## ◆ getInputStream()

XInputStream getInputStream | ( |  | ) |

Returns
  the XInputStream part of the stream. Closing the returned XInputStream also closes any XOutputStream part.

## ◆ getOutputStream()

XOutputStream getOutputStream | ( |  | ) |

Returns
  the XInputStream part of the stream. Closing the returned XOutputStream also closes the XInputStream part.

The documentation for this interface was generated from the following file:

- com/sun/star/io/XStream.idl